[B070] Translational medicine detail

get
https://connect.patsnap.com/synapse/translational/medicine/detail
Try in Sandbox

Obtain translational medicine details through translational medicine id

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
translational_medicine_id
stringeda470b5-773b-346d-b6df-7b5daae53505
Translational medicine id, obtain this through translational medicine search interface

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
author
arrayPlease check the form: MedicineDataDetailAuthor
Author
ordinal
integer<int64>1
Ordinal
superscript
array[ 1, 2 ]
Superscript
original_name
stringJohn Smith
Original Name
pubmed_url
array[ "https://pubmed.ncbi.nlm.nih.gov/12345678/" ]
PubMed URL
source_url
array[ "https://example.com/source/123456" ]
Source URL
abstract_text
arrayThis study investigates novel biomarkers for cancer research...
Abstract
lang
stringEN
Language
text
stringThis study investigates novel biomarkers for cancer research...
text
author_institution
arrayPlease check the form: MedicineDataDetailInstitution
Author Institution
ordinal
integer<int64>1
Ordinal
original_name
stringHarvard Medical School
Original Name
translational_medicine_title
arrayPlease check the form: CommonName
Title
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "author": [
      {
        "ordinal": 1,
        "superscript": [
          1,
          2
        ],
        "original_name": "John Smith"
      }
    ],
    "pubmed_url": [
      "https://pubmed.ncbi.nlm.nih.gov/12345678/"
    ],
    "source_url": [
      "https://example.com/source/123456"
    ],
    "abstract_text": [
      {
        "lang": "EN",
        "text": "This study investigates novel biomarkers for cancer research..."
      }
    ],
    "author_institution": [
      {
        "ordinal": 1,
        "original_name": "Harvard Medical School"
      }
    ],
    "translational_medicine_title": [
      {
        "lang": "EN",
        "name": "Ranibizumab (Genentech)"
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms